Bug 916709 (CVE-2012-4066)

Summary: CVE-2012-4066 eucalyptus: Walrus Request Manipulation Vulnerability
Product: [Other] Security Response Reporter: Andy Grimm <agrimm>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agrimm, djorm, gholms, jgoulding, jrusnack, mspaulding06, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130228,reported=20130228,source=redhat,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:P/A:N,fedora-18/eucalyptus=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-17 22:55:07 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 916716, 917851    
Bug Blocks: 917853    

Description Andy Grimm 2013-02-28 13:01:28 EST
Walrus is a storage service included with Eucalyptus. It supports an
internal REST API that is used by Eucalyptus components to access data
stored on Walrus. The internal message protocol did not require all
supported request headers to be signed. This flaw allowed intercepted
internal requests to Walrus to be modified to manipulate (in a limited
way) data stored on Walrus. Modified requests could be used to perform
tasks including deleting or uploading snapshots.

Links:
http://www.eucalyptus.com/eucalyptus-cloud/security/esa-08
https://eucalyptus.atlassian.net/browse/EUCA-3112
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4066
Comment 1 Andy Grimm 2013-02-28 14:42:29 EST
Builds for testing:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5065358
Comment 2 Vincent Danen 2013-03-04 17:37:49 EST
Thanks for this report.  I'm turning this into an SRT bug as it looks like this affects more than just Fedora.
Comment 3 Vincent Danen 2013-03-04 17:43:17 EST
Created eucalyptus tracking bugs for this issue

Affects: fedora-18 [bug 917851]
Comment 4 Vincent Danen 2013-03-26 14:18:38 EDT
This is fixed via:

euca2ools-2.1.3-1.fc18
euca2ools-2.1.3-1.fc17
euca2ools-2.1.3-1.el5
euca2ools-2.1.3-1.el6

eucalyptus in Fedora is pending.
Comment 5 Fedora Update System 2013-03-27 16:33:51 EDT
eucalyptus-3.2.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Andy Grimm 2013-04-16 16:49:22 EDT
Is there any reason to keep this open?  The F18 eucalyptus package was pushed a couple of weeks ago, and rawhide & F19 will have eucalyptus 3.3
Comment 8 David Jorm 2013-04-17 22:55:07 EDT
This flaw does not affect the jclouds Eucalyptus API as shipped with JBoss Fuse 6.0.0 and Fuse ESB Enterprise 7.1.0.